{% extends 'app/base.html' %}

<!--3.zadatak-->
{% load static %}
<head>
  <link rel="stylesheet" href="{% static 'app/css/message_card.css' %}">
</head>


{% block content %}

<div class="container">
  <div class="row messenger">
    <div class="col-md-3 mb-3 left-sidebar  shadow-sm p-3 mb-5 bg-body rounded">
      <h3 class="mb-3 mt-2">Messenger</h3>
      {% for user, thread  in sidebar_threads %}
      
        <div class="user my-3">
          <a class="link-dark" href="{% url 'messenger:thread' user.id %}">

            <!--3.zadatak-->
            {% if not thread.last.is_read and thread.last.sender != request.user %}
            <b>{{ user.account.name }}</b>
          {% else %}


            {{ user.account.name }}


            <!--3.zadatak-->
            {% endif %}


          </a> </br>
          <small>{{ thread.last.text_snippet }}</small></br>
          [<small>{{ thread.last.sent_at }}]</small>
        </div>
        
      {% empty %}
        <p> You don't have any messages yet!</p>
      {% endfor %}

    </div>
    <div class="col-md-9">
      {% if thread_user %}
        
      <h3 class="mb-3 mt-1">Your conversation with {{ thread_user.account.name }}</h3>


<!--3.zadatak-->
      {% if thread_user.account.profile %}
        <img class="logo"
        src="{{ thread_user.account.profile.url }}" alt="Profile">

        {% endif %}
        
        ({{thread|length}})</h3>
    


      <div class="messages">
        {% for message in thread  %}
          {% include 'includes/message_card.html' with message=message user=user%}
        {% endfor %}
      </div>

      <div class="send-message mt-1">
        <form action="{% url 'messenger:thread' thread_user.id %}" method="post" accept-charset="utf-8">
          {% csrf_token %}

          <input type="text" name="text" id="text" class="input-message shadow-sm bg-body rounded" value="">
          <button type="submit" class="btn custom-btn2">Send message</button>
        </form>

      </div>
      {% endif %}
      
    </div>
  </div>
</div>




{% endblock content %}
